package cn.com.ty.lift.enterprise.oa.service;

import cn.com.ty.lift.enterprise.oa.dto.AttendanceRequest;
import cn.com.ty.lift.enterprise.oa.dto.AttendanceResponse;
import cn.com.ty.lift.enterprise.oa.entity.Attendance;
import com.baomidou.mybatisplus.core.metadata.IPage;
import com.baomidou.mybatisplus.extension.service.IService;

import java.util.List;

/**
 * <p>
 * 打卡签到记录 服务类
 * </p>
 *
 * @author wcz
 * @since 2020-02-04
 */
public interface IAttendanceService extends IService<Attendance> {

    AttendanceResponse infoById(AttendanceRequest request);

    IPage<AttendanceResponse> pageByCondition(AttendanceRequest request);

    int countByUserAndType(Long mtCompanyId, Long userId, Integer type);

    IPage<AttendanceResponse> pageByUser(AttendanceRequest request);

    List<AttendanceResponse> listByIdList(AttendanceRequest request);
}
